package com.example;

import com.example.Service.MethodService;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class SpringOnlineCalculatorApplicationTests {

	@Autowired
	MethodService methodService;

	@Test
	void testMethodSumInt() {
		Assertions.assertEquals(3,Integer.parseInt(methodService.Sum(1, 2, "int")));
	}

	@Test
	void testMethodSumString() {
		Assertions.assertEquals("12", methodService.Sum("1", "2", "string"));
	}

	@Test
	void testMethodMinusInt() {
		Assertions.assertEquals(-1,Integer.parseInt(methodService.Minus(1, 2, "int")));
	}

	@Test
	void testMethodMinusString() {
		Assertions.assertEquals("214324", methodService.Minus("214324", "4", "string"));
	}

	@Test
	void testMethodMultInt() {
		Assertions.assertEquals(2, Integer.parseInt(methodService.Multiply(1, 2, "int")));
	}

	@Test
	void testMethodMultString() {
		Assertions.assertEquals("11", methodService.Multiply("1", "2", "string"));
	}

	@Test
	void testMethodContainsInt() {
		Assertions.assertEquals(60, Integer.parseInt(methodService.Contains(120, 2, "int")));
	}

	@Test
	void testMethodContainsString() {
		Assertions.assertEquals("false", methodService.Contains("1", "2", "string"));
	}
}
